FinWise API
SupportChangelog

List category groups

Query parameters

filtersnullable object
JSON object, passed as a query-string value.
paginationnullable object
JSON object with pageNumber and pageSize.
pageNumbernullable number
1-based page. Defaults to 1.
pageSizenullable number
Items per page. Defaults to 100.
GET/transaction-category-groups
curl https://api.finwiseapp.io/transaction-category-groups \
-X GET \
-H "Authorization: Bearer fw_..." \
-H "Content-Type: application/json"
const response = await fetch('https://api.finwiseapp.io/transaction-category-groups', {
method: 'GET',
headers: {
Authorization: 'Bearer fw_...',
'Content-Type': 'application/json',
},
})
const data = await response.json()
Response
[
{
"id": "b11db54c-bc17-558d-9bfc-638791c31b61",
"createdAt": "2026-03-14T09:10:00.000Z",
"updatedAt": "2026-03-14T09:10:00.000Z",
"name": "Everyday",
"userId": "f472696c-47ac-4873-98cf-2a1069a1cf45",
"color": "#4C63ED",
"emoji": "🛒",
"sortIndex": 0
}
]